package gotowe.p46_tcp;

import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class Klient1 {

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		
		System.out.println("Otwieram połączenie...");
		
		try(Socket socket = new Socket("localhost", 5555)) {
			System.out.println("Uzyskano połączenie...");
			
			System.out.println("Napisz tekst do wysłania:");
			String tekst = sc.nextLine();
			System.out.println("wysyłam...");
			
			try(Scanner sc2 = new Scanner(socket.getInputStream());
				PrintWriter writer = new PrintWriter(socket.getOutputStream(), true);
				) {
				
				writer.println(tekst); // znak nowej linii zostanie dopisany
				System.out.println("poszło...");
				
//				try {
//					Thread.sleep(1000);
//				} catch (InterruptedException e) {
//				}
//			
				System.out.println("czekam na odpowiedź");
				String odpowiedz = sc2.nextLine();
				System.out.println("serwer odpowiedział: " + odpowiedz);
			}
			
		} catch (UnknownHostException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
